Package org.apache.maven.scm.tck.command.update

## Class UpdateCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.update.UpdateCommandTckTest

All Implemented Interfaces:
  `junit.framework.Test`

Direct Known Subclasses:
  `CvsUpdateCommandTckTest`, `GitUpdateCommandTckTest`, `SvnUpdateCommandTckTest`

    public abstract class UpdateCommandTckTest
    extends ScmTckTestCase

This test tests the update command.

It works like this:

1. Check out the files to directory getWorkingCopy().
2. Check out the files to directory getUpdatingCopy().
3. Change the files in getWorkingCopy().
4. Commit the files in getWorkingCopy(). Note that the provider must not use the check in command as it can be guaranteed to work as it's not yet tested.
5. Use the update command in getUpdatingCopy() to assert that the files that was supposed to be updated actually was updated.

Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Constructor Summary

Constructors
`UpdateCommandTckTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testUpdateCommand()`

### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

`addToWorkingTree, checkIn, checkOut, edit, getScmFileNames, getScmRepository, getScmUrl, initRepo, mapFilesByPath, removeRepo, setUp, tearDown`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, deleteDirectory, execute, getAssertionCopy, getCustomConfiguration, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getSecDispatcher, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, printOutputError, printSystemCmdUnavail, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateCommandTckTest

    public UpdateCommandTckTest()

### Method Detail

#### testUpdateCommand

    public void testUpdateCommand()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`